Introduction

Copyright

Max-FTP © 2000 by NeoText

Description

Max-FTP is an FTP (File Transfer Protocol) program. Max-FTP allows the user to preform multiple structure file actions on files over FTP, LAN and local drives in any order. It was designed by NeoText a web site and software company. Max-FTP was designed with web site management in mind, and was intended to mirror or backup big site directories. However not only is it good for web sites, but it's good for any file actions. It can be set to give reports at the end of Copy, Move, and Delete functions to ensure the action was completed. To learn more about Max-FTP click on one of the items to the left.

For a most recent updated version of Max-FTP and Help go here: http://www.neotextsoftware.com


Overview

Main Window

Max-FTP Client Window

Description

Above is a screen shots of Max-FTP's client window. A Max-FTP client window can connect to one or two sites at the same time. You can cut, copy, and paste files between any FTP connection, including between different windows. To load a new window, click on New Client Window under the Site menu. Each FTP connection has a ToolBar, Drive List, AddressBar, File/Log View, and StatusBar. Each window also has a menu for setup, navigation, and file actions. You can hide/un-hide certain elements of this window under the view menu.


Anonymous

Settings

You can type in Anonymous and a Password every time you connect to an anonymous site, or you can setup anonymous settings to do it for you.

To setup anonymous settings click on Options under the Setup menu. Under the Global tab is a box that says Anonymous Logins, here you can type in the anonymous password. The anonymous password can be anything but a lot of sites require an e-mail.

Connecting

To connect to a Anonymous site type the URL in the AddressBar, and click the Go button.

You will then be prompt with a Login box that has a check box that says Use Anonymous Settings. Check the check box and click the OK button.

Max-FTP will then login with your anonymous settings


Supported URLs

What is a URL?

A URL is an extended address that points to locations of files or directories.

For instance, 'http://www.micosoft.com' is a web URL.

Max-FTP uses standard Internet FTP and local file URLs.

Max-FTP URLs

(Note: when reading these formats, fields enclosed in []'s are optional, and

fields enclosed in <>'s are required.)

FTP URL format

-FTP URLs are in the format:

ftp://[login:password@]<server>[:port][/directory] The login and password of the URL are not required, nor is the directory. If the directory is not specified then the servers default directory is used. A single forward slash / will retrieve the root directory. FTP URLs are case sensitive.

-Examples of FTP URLs:

ftp://anonymous:chrome@ftp.foo.com This URL will login into 'ftp.foo.com' with the name 'anonymous' and password 'chrome', and retrieve the root directory. ftp://ftp.foo.com/public/archive In Max-FTP this URL will ask for the login and password, then connect to 'ftp.foo.com' and retrieve the directory '/public/archive'.

File URL format

-File URLs are in the fallowing formats:

file:///<driveletter|>[/directory] file://<computername/sharedresource>[/directory] <driveletter:>[\directory] <\\computername\sharedresource>[\directory] The 'drive letter' or 'computer/shared resource' are required but the 'directory' is not. If the directory is not specifyed the root directory is used. File URLs are not case sensitive.

-Examples

file:///c|/My Documents This URL will retrieve the directory 'My Documents' on your 'c:' drive. c:\my documents This URL will also retrieve the directory 'My Documents' on your 'c:' drive. file://foo/c/My Documents This URL will retrieve the directory 'My Documents' from the shared resource 'c' on the computer with the name 'foo'. \\foo\c\my documents This URL will also retrieve the directory 'My Documents' from the shared resource 'c' on the computer with the name 'foo'.


URL Type-in

Remote URLs

One fast way to connect to a FTP site is to type the URL in the AddressBar, and click the Go button.

You will be prompt to enter a login and password. You will only need to enter a login and password once for each site you connect to during your Max-FTP session. If you close the program and load it again, you will have to re-enter your password.

After you type in a URL and connect to it, the URL will be added to you AutoType list. To access your AutoType list simply start typing the URL and AutoType will finish it for you. Another way is to click on the drop down list in the AddressBar, and then click on the desired site.

Local URLs

To connect to a local URL you can type it in the AddressBar, or you can use the DriveList just above the AddressBar. Simply click the drop down menu on the DriveList and select the desired drive.


Favorite Sites

Adding, and Opening Favorites

To add sites to your favorites, select a Folder and click the New Site button. The site will be created under the folder you selected. You can do the same and use the New Folder button to make another Folder.

To edit a site, select the site and then click the Edit Site button. You will see the window below.

The first thing to enter in is Comments. Comments can be anything it's just for your reference. The next option is whether the site is a Double Site, Primary Site, or Secondary Site. By clicking Double Site you will be allowed to enter two locations, that will load in one client window. By clicking Primary Site, you will only be able to enter one site, that will load in a single client window. By clicking Secondary Site, you will only be able to enter one site, and it will load a double client window with your secondary URL in the second half of the window.

You open your favorite site by first selecting the site, and then clicking on the Open Site button.

Deleting, and Renaming Favorites

To Delete a site or folder, select the item you whish to delete, and click the Delete Button.

To Rename a site or folder, select the item you whish to rename, and either click it again (not a double click), or click the Rename Button. You will then be able to enter text inside the items outline box, as shown below.


Navigation

The first way to navigate an FTP site is to simply enter the URL in the AddressBar and click Go

You can also navigate an FTP site by double clicking on it's folders, or by double clicking on the Up One Level item in the file/folder view.

When you double click on a folder Max-FTP will retrieve that folder and display it's contents. The Up One Level Item will bring you back a directory. So if you double click into a directory and use the Up One Level right away, you will end up where you started.

The last way to navigate around sites is to use the ToolBar buttons Up, Back, Forward, Stop, and Refresh.

Up is just as described earlier, if your in 'c:\My Documents\', clicking the Up button will bring you to 'c:\'. The Back button is different, if you were at ftp.microsoft.com and then you used the AddressBar to get to www.quakeclan.net, clicking the Back button will bring you back to ftp.microsoft.com. The forward button would bring you back to www.quakeclan.net again. The Stop button stops any action being preformed by Max-FTP, and Refresh, retrieves a fresh list of the directory your viewing.


File Actions

File Menu

The complete file action menu looks like the picture below, you can get this menu by clicking on the File menu in the main window, or by right clicking selected files.

Selecting files or folders.

You can select one file or one folder by just clicking on it. You can also hold the CONTROL, or Shift, keys while clicking to selected more then one file or folder. The last way to select items is to use the Select menu under the File menu. Under the select menu you can choose to select all files and folder (All), all files (Files), or all folders (Folders). You also have the option Pattern. This will bring up a dialog where you can use WildCard patterns to select items.

Cutting, Copying, and Pasting files or folders

  (Cut, Copy, Paste)

To Cut, Copy and Paste find the files you want to Copy or Cut, select them, click the Cut or Copy button. This puts the files in a clipboard. Now find where you want to Paste them (note: you can't Paste to the same FTP connection you Cut or Copy from) and click the Paste button. You can also Drag and Drop between FTP connections. You can setup Max-FTP to Cut when your drop items, or Copy when you drop items in your Options. The first time you use Drag and Drop it will prompt you on whether you want to Cut or Copy the items. The option can also be set in your Options, under the Setup menu.

Deleting files or folders

To Delete file, simply select the files and click the Delete button.

Creating folders

To create a new folder click the New Folder button, a new folder will appear named "New Folder 1". Clicking the button again will create "New Folder 2". After creating a folder you can rename it. (Described Below)

Renaming files or folders

To rename a file you can click it once. Then right click, and click on Rename in the menu that pops up. This will invoke the rename box in the list as shown in the above picture. Then you just type in the name you want. You can also invoke this box by clicking on the item a second time, but not as fast as a double click. When you rename a folder you can leave or take out the slash, it will rename correctly either way.

Opening files or folders

To open files or or folders simply double click on the item. You can also use the right button on selected files and click Open under the menu that pops up. You can open up multiple files, but only one folder can be opened at one time.

Refreshing a listing

Click the refresh button to get a fresh listing of the files and folders of a given address, specified in the AddressBar. Refresh is also in the file menus.

Aborting any action

Click the abort button to abort any action Max-FTP is performing on the given FTP connection. Abort is also in the file menus.


Active App Cache

What is Active App Cache?

Active App Cache is a Window (shown below) that tracks remote files you open. When you double click or Open a file from a remote site it is downloaded to you Cache and added to the Active App Window. Later, when you finish editing the file, you can come back to the Active App Cache Window and either re-upload the file, or remove it from your system.

Settings

The settings shown below are located in the your Options under the Setup menu.


Reports

The report window looks like the picture below. To get to this window, click on the Site menu, then the Report menu.

It's a report of Copy, Move, and Delete events taken on files or folders. It shows all the error returns of each operation taken during the file event. This is use in case your uploading a big web site that may have access errors, where you can't upload because of privileges. You can setup reports in the Options dialog box under the Setup menu.


Global

Global Options

General

Show ToolTip Boxes. Enables or Disables Max-FTP ToolTip Boxes.

Show ProgressBar on Transfers. When checked transfers will show a progress bar, when un-checked, transfers will show the status bar with the number of bytes transferred.

Show new update messages. Enables or Disables the display of new update messages retrieved when you run an automatic update in Max-FTP.

Prompt before Abort and Close. If this is checked you will get a box that asks you if you would like to continue before you Abort a file action, or close a main window.

Anonymous Logins

Password. Sets the password used for anonymous logins.

AutoType History

Max History Size. Sets how many URLs can be in the AutoType History.

Log View

Display Logging. Enables or Disables FTP log views.

Max Bytes. Sets the max size for a FTP log in bytes.

Default File Transfer

Buffer Size in seconds. Sets the size of bytes used in transfers. Also known as the Thread Size.

Per Second. Sets if Max-FTP should regulate packets per second. If this is not checked, the systems natural maximum speed is the transfer rate.

Default Server Timeout

Time out in seconds. Sets how long Max-FTP should wait for a server response before it times out with an error.

Active Application Cache

The first option 'Remove files when uploaded' is to make Active App Cache automatically remove files from your system when you upload them, with the Upload button on the Active App Window.

The second option 'Open when files are added' causes the Active App Cache Window to open anytime files are added to the cache. Including when you open them by double clicking on them.

Graphics Theme

This option allows you to set the graphics theme Max-FTP uses.


Client

Client Options

If Paste or Delete errors

Stop process and return error. This options tells Max-FTP to stop all file actions if errors occur such as access or privilege errors.

Cut and Copy

Ask for overwrite. This option will prompt you on how to handle a file when it already exists and your trying to copy over it.

Always overwrite. This option will cause Max-FTP to always overwrite a file when it already exists and your trying to copy over it.

Never overwrite. This option will cause Max-FTP to never overwrite a file when it already exists and your trying to copy over it.

Drag and Drop

Always Cut dragged media. This will cause Max-FTP to Cut dropped media.

Always Copy dragged media. This will cause Max-FTP to Copy dropped media.

Ask when media is dropped. This will cause a dialog to appear asking you if you want to Cut or Copy the media.

Report Mode

Disable report, Overwrite report, Append report. These options tell Max-FTP how to handle reports. You can disable reports, or have each file action overwrite the last report, or append to the last report.

Report Filename. This is the file name for client reports to be saved to. The folder icon is a browse button so you can select a file easier.

Max number of events. This tells Max-FTP the maximum number of event allowed to be saved to each report.


File Associations

Creating and Deleting File Associations

To make a new File Association, click the New button, a new default item will be added to the list. Select the item and edit it's properties as desired.

To delete a File Association, select the item, and click delete.

File Extensions

This is where you type in all the file types associated with the item your editing. File types must be typed as show above with commas separating multiple types.

Transfer Types

The transfer type sets how Max-FTP should transfer the file type. ASCII is for transferring Text files, and stands for American Standard Code for International Interchange. Binary is for any file that isn't plain text, such as Executables and Pictures.

Application

The application property is so you can set what application you want to use when you open a file of the given type in Max-FTP. By clicking the Use Windows Default, Max-FTP will use the default windows application for the given file type. The little picture of a folder is a browse button so you can find an application easier.


Network Drives

Network Drive window

The first list of drive is all the drives connected to your system. The second drive list is Max-FTP Session drives, which means the drives in this list are connected while your using Max-FTP, and disconnected when Max-FTP closes.

Adding and Removing

To add session drives click Add, and you will be prompt with the dialog below. Enter the share name and choose a drive letter to mount the share name on (see below). Then click the OK button.

To remove a session drive, simply select the drive from your Max-FTP Session drive list and click the Remove button.


Service

What is a Service?

A service is a program that runs in the background of your system. When you log out of your computer but keep the computer on, services are still running. Max-FTP can run as a Windows NT service.

Note: Max-FTP no longer runs as a service on Windows 98 systems.

Service Options

Depending on what OS your running will determine what service you can enable.

You can enable Service Startup so Max-FTP startups when the system starts up. You can also have Max-FTP load schedule files when it starts up as a service. Click Add to add schedule files. Select files and click Remove to remove them.


Into_Graphics

Intro

Graphic themes in Max-FTP are not finished and are mainly for the client. This will change as Max-FTP 4.0 progresses through its versions.

Stay tuned, -NeoText- 2/12/2000


Creating Themes

Make a template theme to work from.

1. To make a template open windows explorer and locate the directory you installed Max-FTP to.

2. After you found the directory, go into its sub directory "\ProgramStorage\Graphics".

3. You will notice a directory for each theme under the Graphics directory. Copy the default theme directory "NeoText" and then paste it in the Graphics directory. Windows should make a "Copy of NeoText" directory.

4. Rename the new directory to your desired theme name.

5. Click on Options under Max-FTP's setup menu, your theme name should appear in the list.


Editing the Skin file

Under your Max-FTP\ProgramStorage\Graphics\YourThemeName directory is a file named skin.ini this file holds all the links to images, and colors to your theme. You can edit this file with a notepad.exe which is located in your window directory

Editing Links

All links to images in the skin file are relative to the skin files path.

Example, To set the logo grpahic to the file:

c:\Program Files\NeoText\Max-FTP\ProgramStorage\Graphics\MyTheme\mylogo.gif

All you need to type is Logo = mylogo.gif given that mylogo.gif is in the same directory as the skin.ini file.

You can also set graphics to the keywords default and none. Default will cause the skin to use the graphic from the default theme which is the NeoText theme. None will cause no graphic to display.

Editing Colors

Colors in Max-FTP are in RGB HEX format like HTML. So 000000 is black and FFFFFF is white.

Examples:

LogView_BackColor = FFFFFF

LogView_TextCcolor = 7F7F7F

LogView_IncommingColor = 0000FF

LogView_OutgoingColor = 00FF00

LogView_ErrorColor = FF0000

You can also use the keyword default for colors.


Skin Variables

Picture variables

  uplevel = <graphic link> back = <graphic link> forward = <graphic link> abort = <graphic link> refresh = <graphic link> newfolder = <graphic link> delete = <graphic link> cut = <graphic link> copy = <graphic link> paste = <graphic link> go = <graphic link>   uplevelout = <graphic link> backout = <graphic link> forwardout = <graphic link> abortout = <graphic link> refreshout = <graphic link> newfolderout = <graphic link> deleteout = <graphic link> cutout = <graphic link> copyout = <graphic link> pasteout = <graphic link> goout = <graphic link>   favorites_graphic = <graphic link> logo = <graphic link> logo_background = <graphic link> list_background = <graphic link>

Color variables

  toolover_transparentcolor = <rgb color> toolout_transparentcolor = <rgb color>   logview_backcolor = <rgb color> logview_textcolor = <rgb color> logview_incommingcolor = <rgb color> logview_outgoingcolor = <rgb color> logview_errorcolor = <rgb color>   list_transparentcolor = <rgb color>   logo_backcolor = <rgb color>   list_backcolor = <rgb color> list_textcolor = <rgb color>   address_backcolor = <rgb color> address_textcolor = <rgb color>   drivelist_backcolor = <rgb color> drivelist_textcolor = <rgb color>   textbox_backcolor = <rgb color> textbox_textcolor = <rgb color>   script_textcolor = <rgb color> script_userdefinedcolor = <rgb color> script_statementcolor = <rgb color> script_valuecolor = <rgb color> script_operatorcolor = <rgb color> script_commentcolor = <rgb color>


Boolean

! NOT
&& AND
|| OR
== Equal To
!= Not Equal To
> Greater Then
< Less Then
>= Equal To or Greater
<= Equal To or Less


Code

{ } Code Segment brackets.


Comment

//Comment start   comment end
//Comment start comment end\\


Default Statment

Default //Returns a Variable or Object to it's default state.
        //Predefined Variables and Object Defaults are the
        //    languages installed defaults. (See variable or objects
        //    help for predefined defaults)
        //A UserDefined variable default is declared like:
        //     var MyVariable1 = "this it's default";
        //     var MyVariable2 = 100
        //UserDefined Variable Defaults not declared default to Null and
        //     (Null=="")=True, (Null==0)=True, (Null==False)=True
        //UserDefined Object property variables are set as UserDefined Variables


Do Loop Statements

do { code }
loop until ( expression )

do { code }
loop while ( expression )

do until ( expression )
{ code } loop

do while ( expression )
{ code } loop


Expression

( ) Evaluated Expression.


For Statement

for [ init , step , condition ] { code }


Function Syntax

var MyFunction [ varRef MyVarReference, var MyVarValue ] = {
  //Statements
  varRef MyStrVar;
  MyStrVar = "One " & MyVarReference & MyVarValue;
  varGet MyStrVal; // Optional, default False
} ;
var MyRefParam = "Two ";
var MyStrVar = MyFunction[MyRefParam, "Three "]; //Executes function & returns value.
var MyStrVar2 = MyFunction;  //Sets MyStrVar2 to the function MyFunction
Debug.Print[MyStrVar];
Debug.Print[MyStr2[MyRefParam, "Three "]];


Gets

= Gets. Sets variables.


If Then Else Statements

If ( expression ) { code }
elseif ( expression ) { code }
else { code };


Intro_MXSL

Max Scripting Language

(MXSL)


Intro_MXSOM

Max Server Object Model

(MXSOM)


Intro

Max Client-Server Model

(MXCSC)


Intro_MXCOM

Max Client Object Model

(MXCOM)


Math

+ Add
- Subtract
\ Div
/ Mod
* Multiply
^ Power


Null Statements

Null // Sets a variable to null
Nothing // Sets a object to nothing
None // Sets a variable to null or an object to nothing


Parameter

[ ] Parameters.


String

& Concatenate
" " String
' ' String


Switch Statement

switch ( expression ) {
  case ( expression ) { code }
  ....
  case else { code }
}


Var Statements

var MyVar; //Creates a variable or function of type variant
varInt MyVar; //Creates a variable or function variable of type Long Integer
varStr MyVar; //Creates a variable or function variable of type String
varBool MyVar; //Creates a variable or function variable of type Boolean
varSet MyVar; //Creates an object in conjunction with the Object[]; function
varConst MyVar; //Creates a constant variable
varGet MyVar; //Sets a functions return variable value
varSetGet MyVar; //Sets a functions return object in conjunction with the Object[]; function
varRef MyVar; //Creates a reference to a variable or object (Parameter only)


Variable Syntax

varConst MyConstVar = 'This declares a string constant';
var MyStrVar; //Variant (String, Long, Boolean)
var MyLngVar; //Default set to Null
var MyBoolVar=true; //Default set to true
var MyNumVar=9; //Default set to 9
varSet MyMaxVar = Object['MXCOM'];

"MyMax" & "Var." & "Primary.Login" = 'anonymous';
MyMaxVar.Primary.Password = 'me@server.com';
MyMaxVar.Primary.URL = 'ftp://ftp.microsoft.com';
MyMaxVar.Primary.Refresh;
MyMaxVar.Secondary.URL = 'c:\';
MyMaxVar.Secondary.Refresh;
MyMaxVar.Primary.Copy['Readme.txt'];
MyStrVar = 'My String';
MyLngVar = 893+(32/2);
MyBoolVar = (MyBoolVar && (True && (False || True)));

Debug.Print[MyConstVar];
Debug.Print[MyStrVar];
Debug.Print[MyLngVar];
Debug.Print[MyBoolVar];
Debug.Print[MyNumVar];
Debug.Print[MyMaxVar.Primary.Login];